---
title: Console.warn()
slug: Web/API/Console/warn
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Web Development
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>Outputs a warning message to the Web Console.</p>

<p>{{AvailableInWorkers}}{{Note("In Chrome and Firefox, warnings have a small exclamation point icon next to them in the Web Console log.")}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.warn(<em>obj1</em> [, <em>obj2</em>, ..., <em>objN</em>]);
console.warn(<em>msg</em> [, <em>subst1</em>, ..., <em>substN</em>]);
</pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>obj1</code> ... <code>objN</code></dt>
 <dd>A list of JavaScript objects to output. The string representations of each of these objects are appended together in the order listed and output.</dd>
 <dt><code>msg</code></dt>
 <dd>A JavaScript string containing zero or more substitution strings.</dd>
 <dt><code>subst1</code> ... <code>substN</code></dt>
 <dd>JavaScript objects with which to replace substitution strings within <code>msg</code>. This gives you additional control over the format of the output.</dd>
</dl>

<p>See <a href="/en-US/docs/Web/API/console#Outputting_text_to_the_console">Outputting text to the console</a> in the documentation of {{domxref("console")}} for details.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Console API", "#warn", "console.warn()")}}</td>
   <td>{{Spec2("Console API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.warn")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external" href="http://www.opera.com/dragonfly/documentation/console/">Opera Dragonfly documentation: Console</a></li>
 <li><a class="external" href="http://msdn.microsoft.com/library/gg589530">MSDN: Using the F12 Tools Console to View Errors and Status</a></li>
</ul>
